package com.fs.his.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 体检报告模板字段对象 fs_physical_report_template_field
 *
 * @author fs
 * @date 2025-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsPhysicalReportTemplateField extends BaseEntity{

    /** 字段id */
    private String id;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long templateId;

    /** 组件ID,后续可联动组件 */
    @Excel(name = "组件ID,后续可联动组件")
    private Long componentId;

    /** 字段组件名称 */
    @Excel(name = "字段组件名称")
    private String label;

    /** 字段类型 */
    @Excel(name = "字段类型")
    private String type;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 是否必填0否1是 */
    @Excel(name = "是否必填0否1是")
    private Integer required;

    /** 是否多选0否1是 */
    @Excel(name = "是否多选0否1是")
    private Integer multiple;

    /** 多选下来数据 */
    @Excel(name = "多选下来数据")
    private String multiples;

    /** 输入框最大长度 */
    @Excel(name = "输入框最大长度")
    private Long maxLength;

    /** 输入框最小长度 */
    @Excel(name = "输入框最小长度")
    private Long minLength;

    /** 状态（1未启用、2启用） */
    @Excel(name = "状态", readConverterExp = "1=未启用、2启用")
    private Long status;

    /**
     * 下拉多选，复选框多选值
     * **/
    private String options;


}
