package com.fs.his.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.his.domain.FsPhysicalReportTemplate;

/**
 * 体检报告模板Service接口
 * 
 * @author fs
 * @date 2025-07-23
 */
public interface IFsPhysicalReportTemplateService extends IService<FsPhysicalReportTemplate>{
    /**
     * 查询体检报告模板
     * 
     * @param id 体检报告模板主键
     * @return 体检报告模板
     */
    FsPhysicalReportTemplate selectFsPhysicalReportTemplateById(String id);

    /**
     * 查询体检报告模板列表
     * 
     * @param fsPhysicalReportTemplate 体检报告模板
     * @return 体检报告模板集合
     */
    List<FsPhysicalReportTemplate> selectFsPhysicalReportTemplateList(FsPhysicalReportTemplate fsPhysicalReportTemplate);

    /**
     * 新增体检报告模板
     * 
     * @param fsPhysicalReportTemplate 体检报告模板
     * @return 结果
     */
    int insertFsPhysicalReportTemplate(FsPhysicalReportTemplate fsPhysicalReportTemplate);

    /**
     * 修改体检报告模板
     * 
     * @param fsPhysicalReportTemplate 体检报告模板
     * @return 结果
     */
    int updateFsPhysicalReportTemplate(FsPhysicalReportTemplate fsPhysicalReportTemplate);

    /**
     * 批量删除体检报告模板
     * 
     * @param ids 需要删除的体检报告模板主键集合
     * @return 结果
     */
    int deleteFsPhysicalReportTemplateByIds(String[] ids);

    /**
     * 删除体检报告模板信息
     * 
     * @param id 体检报告模板主键
     * @return 结果
     */
    int deleteFsPhysicalReportTemplateById(String id);
}
